/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreElementHierarchyAndGroup;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * Variable reference for hierarchy element groups. See t_core_element_hierarchy
 * group.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreElementHierarchyAndGroupRecord extends UpdatableRecordImpl<TCoreElementHierarchyAndGroupRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for
     * <code>common_dd.t_core_element_hierarchy_and_group.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for
     * <code>common_dd.t_core_element_hierarchy_and_group.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_element_hierarchy_and_group.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_element_hierarchy_and_group.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for
     * <code>common_dd.t_core_element_hierarchy_and_group.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for
     * <code>common_dd.t_core_element_hierarchy_and_group.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for
     * <code>common_dd.t_core_element_hierarchy_and_group.group_id</code>.
     */
    public void setGroupId(Integer value) {
        set(3, value);
    }

    /**
     * Getter for
     * <code>common_dd.t_core_element_hierarchy_and_group.group_id</code>.
     */
    public Integer getGroupId() {
        return (Integer) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreElementHierarchyAndGroupRecord
     */
    public TCoreElementHierarchyAndGroupRecord() {
        super(TCoreElementHierarchyAndGroup.T_CORE_ELEMENT_HIERARCHY_AND_GROUP);
    }

    /**
     * Create a detached, initialised TCoreElementHierarchyAndGroupRecord
     */
    public TCoreElementHierarchyAndGroupRecord(LocalDateTime lastchange, Integer pk, Integer fkElement, Integer groupId) {
        super(TCoreElementHierarchyAndGroup.T_CORE_ELEMENT_HIERARCHY_AND_GROUP);

        setLastchange(lastchange);
        setPk(pk);
        setFkElement(fkElement);
        setGroupId(groupId);
        resetChangedOnNotNull();
    }
}
